import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToToshibaZmodeSensorType Converter")

class GenericToToshibaZmodeSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "Continuous media"
		elif myList[0] == "Gap":
			res = "Non-continuous media web sensing"
		elif myList[0] == "Mark":
			res = "Non-continuous media mark sensing"
		return res




plugin = GenericToToshibaZmodeSensorType("GenericToToshibaZmodeSensorType")

store.AddConverter(plugin)